/*
 *      OSU Research Computing					Trillium
 *      VAR/GDB
 *
 *	$Log:	recv.c,v $
 * Revision 2.2  92/04/24  15:37:14  trillium
 * Ohio Release
 * 
 *      Function:       - simple message receive program
 */

#include <net.h>

/*
 * external variables
 */
extern int		errno;			/* standard error code */

main()

{
	struct nmsg	incoming;		/* network message descriptor */
	char		buffer[80];		/* message buffer */
/*
 * Attach to Trollius kernel.
 */
	if (kinit(0) < 0) {
		kexit(errno);
	}
/*
 * Fill message descriptor.
 */
	incoming.nh_event = 11;			/* synchronization value */
	incoming.nh_type = 0;			/* synchronization bit field */
	incoming.nh_length = sizeof(buffer);	/* message length */
	incoming.nh_flags = 0;			/* option flags	*/
	incoming.nh_msg = buffer;		/* message buffer */
/*
 * Receive the message.
 */
        if (nrecv(&incoming) < 0) {		/* receive message */
		kexit(errno);			/* cleanup and die */
	}
/*
 * Detach from Trollius kernel.
 */
	kexit(0);				/* cleanup and die */
}
