/*
 *      OSU Research Computing					Trillium
 *      VAR/GDB
 *
 *	$Log:	send.c,v $
 * Revision 2.2  92/04/24  15:37:16  trillium
 * Ohio Release
 * 
 *      Function:       - simple message send program
 */

#include <net.h>

/*
 * external variables
 */
extern int		errno;			/* standard error code */

main(ac, av)

int			ac;
char			*av[];

{
	struct nmsg	outgoing;		/* network message descriptor */
	char		buffer[80];		/* message buffer */


/*
 * Attach to Trollius kernel.
 */
	if (kinit(0) < 0) {
		kexit(errno);
	}
/*
 * Fill message descriptor.
 * Fancy paradigms that abstract the node identifier are not present
 * at this layer.  You specify the node identifier directly.
 */
	if (ac <= 1) {
		outgoing.nh_node = getorigin();	/* destination node (host) */
	} else {
		outgoing.nh_node = atoi(av[1]);	/* destination node */
	}

	outgoing.nh_event = 11;			/* synchronization value */
	outgoing.nh_type = 0;			/* synchronization bit field */
	outgoing.nh_length = sizeof(buffer);	/* message length */
	outgoing.nh_flags = 0;			/* option flags	*/
	outgoing.nh_msg = buffer;		/* message buffer */
/*
 * Send the message.
 */
        if (nsend(&outgoing) < 0) {		/* send message */
		kexit(errno);			/* cleanup and die */
	}
/*
 * Detach from Trollius kernel.
 */
	kexit(0);				/* cleanup and die */
}
