/*
 *      OSU Research Computing					Trillium
 *      Copyright 1992 The Ohio State University
 *      GDB
 *
 *      $Log:	ledmachine.c,v $
 * Revision 2.2  92/04/24  16:11:29  trillium
 * Ohio Release
 * 
 *	Function:	- machine dependent module for ledd
 *			- ITB stub version
 */

#include <portable.h>

#define NLEDS		32

/*
 *	leinit
 *
 *	Function:	- initializes machine dependent LEDs
 *	Accepts:	- command line arguments
 */

void
leinit(argc, argv)

int			argc;
char			*argv[];

{
}

/*
 *	lecount
 *
 *	Function:	- How many LEDs exist?
 *	Returns:	- number of LEDs on local node
 */

int4
lecount()

{
	return((int4) NLEDS);
}

/*
 *	ledisplay
 *
 *	Function:	- Apply shadow register to LED implementation.
 *	Accepts:	- client node ID
 *			- new LED shadow register
 */

void
ledisplay(nodeid, shadow)

int4			shadow;

{
}
