.TH MTV l  "March 25, 1992" "Release 2.2" "TROLLIUS COMMANDS"
.SH NAME
mtv \- Control graphic frame buffers on remote Trollius nodes.
.SH SYNTAX
.B mtv
[-h] <node(s)>
.SH OPTIONS 
.TP 11
.B \-h
Print useful information on this command.
.SH DESCRIPTION
.PP
Some nodes in a multicomputer may be equipped with a graphic frame buffer
to allow for fast, may be even real-time, plotting of computed results
(mtvd(l)).
The host nodes may also be full fledged workstations with high resolution
monitors and a windowing environment.
On such hosts, a graphic frame buffer may be emulated in software and 
appear as a window on the environment "desktop" (xmtvd(l)).
.PP
.I Mtv
is a Trollius command that controls graphic frame buffers on remote nodes.
In the current version
.I mtv
clears the screen by resetting all pixels in the frame buffers of the
specified nodes to the colour black.
.PP
The nodes whose frame buffers are to be cleared are specified on the
command line.
Nodes are identified as 
.I n<list>,
where <list> can be a single node identifier or a list of node identifiers. 
Node identifiers are established in the boot schema (see nail(l))
and can be written in decimal and/or hexadecimal notation.
.SH EXAMPLES
.TP 4
.I "mtv n50-52"
Clear the frame buffers on nodes 50, 51, and 52.
.SH "SEE ALSO"
mtvd(l), tvstate(l), xmtvd(l)
