/*
 *      OSU Research Computing					Trillium
 *      Copyright 1992 The Ohio State University
 *      GDB
 *
 *      $Log:	xled.h,v $
 * Revision 2.2  92/04/24  16:14:58  trillium
 * Ohio Release
 * 
 *	Function:	- constants associated with xled
 */

#ifndef _XLED
#define _XLED

#define XtNledSizeInPixels	"ledSizeInPixels"
#define XtCLedSizeInPixels	"LedSizeInPixels"
#define XtNledForeground	"ledForeground"
#define XtCLedForeground	"LedForeground"

#define MAXNODES	32
#define NHORIZLEDS	4
#define NVERTLEDS	8
#define NHORIZSEGS	(NVERTLEDS + 1)
#define NVERTSEGS	(NHORIZLEDS + 1)
#define MAXSEGS		NHORIZSEGS
#define	NLEDS		32
#define	NPIXLABEL	16

#define MINLEDSIZE	8
#define MAXLEDSIZE	32

#define DEFWINWIDTH	512

#endif
