/*
 *      OSU Research Computing                            	Trillium
 *      Copyright 1992 The Ohio State University
 *      GDB
 *
 *      $Log:	rledcc.c,v $
 * Revision 2.2  92/04/24  16:32:49  trillium
 * Ohio Release
 * 
 *      Function:	- cc updated shadow register to other nodeid
 *	Accepts:	- destination nodeid
 *			- cc nodeid
 *	Returns:	- 0 or ERROR
 */

#include <net.h>
#include <events.h>
#include <ledreq.h>
#include <typical.h>

int4
rledcc(nodeid, cc)

int4			nodeid;
int4			cc;

{
	struct nmsg	nhead;
	struct lereq	*req;

	req = (struct lereq *) nhead.nh_data;
	req->leq_req = LEQCC;
	req->leq_cc = cc;

	nhead.nh_node = nodeid;
	nhead.nh_event = EVLEDD;
	nhead.nh_type = 0;
	nhead.nh_flags = 0;
	nhead.nh_length = 0;
	nhead.nh_msg = (char *) 0;

	if (nsend(&nhead) < 0) {
		return(ERROR);
	}

	return(0);
}
