/*
 *	OSU Research Computing					Trillium
 *	Copyright 1992 The Ohio State University
 *	RBD
 *
 *	$Log:	rtvclr.c,v $
 * Revision 2.2  92/04/24  16:32:52  trillium
 * Ohio Release
 * 
 *	Function:	- clear the graphic frame
 *	Accepts: 	- destination node
 *	Returns:	- 0 or ERROR
 */

#include <portable.h>
#include <net.h>
#include <events.h>
#include <tvreq.h>

int
rtvclr(node)

int4			node;

{
	struct nmsg	nhead;		/* message header */
	struct tvreq	*request;	/* ptr to mtvd request */
/*
 * Set up the request message.
 */
 	request = (struct tvreq *) nhead.nh_data;
	request->tvq_req = TVQCLR;

	nhead.nh_node	= node;
	nhead.nh_event	= EVMTVD;
	nhead.nh_type	= 0;
	nhead.nh_flags	= DINTDATA;
	nhead.nh_length	= 0;
	nhead.nh_msg	= (char *) 0;

	return(nsend(&nhead));
}
