/*
 *      OSU Research Computing                                  Trillium
 *      Copyright 1992 The Ohio State University
 *      JRV
 *
 *      $Log:	trade.h,v $
 * Revision 2.2  92/04/24  16:52:41  trillium
 * Ohio Release
 * 
 *
 *      Function:       - constants for trade
 */

#define MAX_NODES		512
#define SEC_PER_TICK		0.000064
#define UNUSED			0

#define PG_TRACE_START      	1
#define PG_OPEN			2
#define PG_LOAD             	3
#define PG_SEND             	4
#define PG_RECV             	6
#define PG_RECV_BLOCKING    	7
#define PG_RECV_WAKING      	8
#define PG_MESSAGE          	9
#define PG_COMPSTATS       	11
#define PG_CLOSE           	13
#define PG_TRACE_MARK      	15
#define PG_TRACE_MESSAGE   	16
#define PG_TRACE_STOP      	17
#define PG_TRACE_EXIT      	19
#define PG_TRACE_MARKS     	22




