/*
 *	OSU Research Computing					Trillium
 *	(third party software provided under license)
 *
 *	$Header: argr832.c,v 2.2 92/04/21 10:54:54 trillium Rel $
 *	We are just putting our stamp on this for housekeeping reasons.
 */

/*
 *	File:	argr832.c
 *
 *	Implements T800 32 bit floating point argument range reduction
 *	function.
 *
 *	Based on INMOS supplied code.
 */

void
_argrf(int *b,int *n,float *x,float y,float z,float z_err)
	{
	#pragma	asm
;
;	int	*b;	/* No longer used */
;	int	*n;	/* quotient */
;	float	*x;	/* y REM z */
;	float	y;
;	float	z;
;	float z_err;	/* No longer used */
;
	ldlp	5
	ldlp	4
	fpldnlsn
	fpldnlsn
	fpdiv
	fprtoi32
	ldl	2
	fpstnli32
	ldlp	4
	fpldnlsn
	fpur32tor64
	ldl	2
	fpi32tor64
	ldlp	5
	fpldnlsn
	fpur32tor64
	fpmul
	fpsub
	fpur64tor32
	ldl	3
	fpstnlsn
	#pragma	endasm
	}
