/*
 *	OSU Research Computing					Trillium
 *	(third party software provided under license)
 *
 *	$Header: bcopy.c,v 2.2 92/04/21 10:58:38 trillium Rel $
 *	We are just putting our stamp on this for housekeeping reasons.
 */

/*
 *	bcopy - Berklix equivalent of memcpy
 *
 *	Copyright 1987, 1988, 1989 by Logical Systems
 */

#include	<inline.h>
#include	<string.h>

#undef	bcopy

void	*
bcopy(const void *src,void *dst,size_t size)
	{
	#pragma	asm
	ldl	[src]
	ldl	[dst]
	ldl	[size]
	move
	ldl	[dst]
	#pragma	endasm
	}
