/*
 *	OSU Research Computing					Trillium
 *	(third party software provided under license)
 *
 *	$Header: memcpy.c,v 2.2 92/04/21 10:58:42 trillium Rel $
 *	We are just putting our stamp on this for housekeeping reasons.
 */

/*
 *	memcpy - copy bytes
 *
 *	Copyright 1987, 1988, 1989 by Logical Systems
 */

#include	<inline.h>
#include	<string.h>

#undef	memcpy

void	*
memcpy(void *dst, const void *src, size_t size)
	{
	#pragma	asm
	ldl	[src]
	ldl	[dst]
	ldl	[size]
	move
	ldl	[dst]
	#pragma	endasm
	}
