/*
 *	OSU Research Computing					Trillium
 *	(third party software provided under license)
 *
 *	$Header: strncpy.c,v 2.2 92/04/21 10:58:49 trillium Rel $
 *	We are just putting our stamp on this for housekeeping reasons.
 */

/*
 *	strncpy - copy at most n characters of string src to dst
 */

#include	<string.h>

char	*			/* dst */
strncpy(dst, src, n)
	char	*dst;
	const	char	*src;
	size_t	n;
	{
	register char	*dscan;
	register const	char	*sscan;
	register size_t	count;

	dscan = dst;
	sscan = src;
	count = n + 1;
	while(--count > 0 && (*dscan++ = *sscan++) != '\0')
		continue;
	if(count > 0)
		{
		while(--count > 0)
			*dscan++ = '\0';
		}
	return(dst);
	}
