/*
 *	OSU Research Computing					Trillium
 *	(third party software provided under license)
 *
 *	$Header: strspn.c,v 2.2 92/04/21 10:58:50 trillium Rel $
 *	We are just putting our stamp on this for housekeeping reasons.
 */

/*
 *	 strspn - find length of initial segment of s consisting entirely
 *	 of characters from accept.
 */

#include	<string.h>

size_t
strspn(s, accept)
	char	*s;
	const	char	*accept;
	{
	register char	*sscan;
	register char	*ascan;
	register size_t	count;

	count = 0;
	for(sscan = s; *sscan != '\0'; sscan++)
		{
		for(ascan = accept; *ascan != '\0'; ascan++)
			if(*sscan == *ascan)
				break;
		if(*ascan == '\0')
			return(count);
		count++;
		}
	return(count);
	}
