/*
 *	OSU Research Computing					Trillium
 *	(third party software provided under license)
 *
 *	$Header: cabs32.c,v 2.2 92/04/21 11:01:44 trillium Rel $
 *	We are just putting our stamp on this for housekeeping reasons.
 */

/*
 *	File:	cabs32.c
 *
 *	Implements 32 bit complex absolute value function ("cabsf").
 *
 *	Copyright 1988, 1989 by Logical Systems.
 */

#include	<math.h>

float
cabsf(COMPLEXF x)
	{
#ifdef	DOUBLE32
	#pragma	asm
	.pub	cabs
cabs:
	#pragma	endasm
#endif	DOUBLE32
	return (hypotf(x.real,x.imag));
	}
