/*
 *	OSU Research Computing					Trillium
 *	(public domain software)
 *
 *	$Log:	fgets.c,v $
 * Revision 2.2  92/04/21  11:03:02  trillium
 * Ohio Release
 * 
 *	We are just putting our stamp on this for housekeeping reasons.
 */

/*
 * This file is originally from dLibs 1.2 by Dale Schumacher et al.
 * It was modified for Trollius by MB, 88/12.
 * It was modified again for portability by GDB, 91/08.
 */

#include <stdio.h>

char *
fgets(data, limit, fp)
	char *data;
	int limit;
	FILE *fp;
{
	char *p = data;
	int c;

	while((--limit > 0) && ((c = fgetc(fp)) != EOF))
		if((*p++ = c) == '\n')
			break;
	*p = EOS;
	return((c == EOF && p == data) ? NULL : data);	/* NULL == EOF */
}

char *
gets(data)
	char *data;
{
	char *p = data;
	int c;

	while(((c = fgetc(stdin)) != EOF) && (c != '\n')) {
		if(c == '\b') {
			if(p > data)
				--p;
		} else {
			*p++ = c;
		}
	}
	*p = EOS;
	return(((c == EOF) && (p == data)) ? NULL : data);  /* NULL == EOF */
}
