/*
 *	OSU Research Computing					Trillium
 *	(public domain software)
 *
 *	$Log:	fseek.c,v $
 * Revision 2.2  92/04/21  11:03:05  trillium
 * Ohio Release
 * 
 *	We are just putting our stamp on this for housekeeping reasons.
 */

/*
 * This file is originally from dLibs 1.2 by Dale Schumacher et al.
 * It was modified for Trollius by MB, 88/12.
 * It was modified again for portability by GDB, 91/08.
 */

#include <stdio.h>

/*
 * external variables
 */
extern int errno;

long
ftell(fp)
	FILE *fp;
{
	long rv;

	fflush(fp);
	rv = lseek (fp->_file, (long) 0, SEEK_CUR);
	return((rv < 0) ? ((errno = ((int) rv)), (-1)) : rv);
}

int
fseek(fp, offset, origin)
	FILE *fp;
	long offset;
	int origin;
{
	long rv;

	fflush(fp);
	rv = lseek (fp->_file, offset, origin);
	return((rv < 0) ? ((errno = ((int) rv)), (-1)) : 0);
}

void
rewind(fp)
	FILE *fp;
{
	long rv;

	fflush(fp);
	rv = lseek (fp->_file, (long) 0, SEEK_SET);
	if(rv < 0)
		errno = ((int) rv);
	fp->_flag &= ~(_IOEOF|_IOERR);
}
