/*
 *	OSU Research Computing					Trillium
 *	(public domain software)
 *
 *	$Log:	getbuf.c,v $
 * Revision 2.2  92/04/21  11:03:06  trillium
 * Ohio Release
 * 
 *	We are just putting our stamp on this for housekeeping reasons.
 */

/*
 * This file is originally from dLibs 1.2 by Dale Schumacher et al.
 * It was modified for Trollius by MB, 88/12.
 * It was modified again for portability by GDB, 91/08.
 */

#include <stdio.h>

/*
 * external functions
 */
extern char *malloc();

void
_getbuf(fp)		/* allocate a buffer for a stream */
	register FILE *fp;
{
	if((fp->_flag & _IONBF)
	|| ((fp->_base = (unsigned char *)
	malloc((unsigned int) (fp->_bsiz = BUFSIZ))) == NULL))
	{
		fp->_flag &= ~(_IOFBF | _IOLBF | _IONBF);
		fp->_flag |= _IONBF;
		fp->_base = &(fp->_ch);			/* use tiny buffer */
		fp->_bsiz = 1;
	}
	else
		fp->_flag |= _IOMYBUF;			/* use big buffer */
	fp->_ptr = fp->_base;
	fp->_cnt = 0;		/* start out with an empty buffer */
}
