/*
 *	OSU Research Computing					Trillium
 *	(third party software provided under license)
 *
 *	$Header: float.h,v 2.2 92/04/21 11:07:05 trillium Rel $
 *	We are just putting our stamp on this for housekeeping reasons.
 */

/*
 *	float.h
 *
 *	Copyright 1987-1988 by Logical Systems.
 */

#ifndef	_FLOAT				/* Avoid duplication */
#define	_FLOAT		1

#define	FLT_RADIX	2
#define	FLT_MANT_DIG	24
#define	FLT_EPSILON	1.19209290E-07F
#define	FLT_DIG		6
#define	FLT_MIN_EXP	-125
#define	FLT_MIN		1.17549435E-38F
#define	FLT_MIN_10_EXP	-37
#define	FLT_MAX_EXP	128
#define	FLT_MAX		3.40282347E+38F
#define	FLT_MAX_10_EXP	38

#ifdef	DOUBLE32
#define	DBL_MANT_DIG	24
#define	DBL_EPSILON	1.19209290E-07
#define	DBL_DIG		6
#define	DBL_MIN_EXP	-125
#define	DBL_MIN		1.17549435E-38
#define	DBL_MIN_10_EXP	-37
#define	DBL_MAX_EXP	128
#define	DBL_MAX		3.40282347E+38
#define	DBL_MAX_10_EXP	38
#else	/* DOUBLE32 */
#define	DBL_MANT_DIG	53
#define	DBL_EPSILON	2.2204460492503131E-16
#define	DBL_DIG		15
#define	DBL_MIN_EXP	-1021
#define	DBL_MIN		2.225073858507201E-308
#define	DBL_MIN_10_EXP	-307
#define	DBL_MAX_EXP	1024
/*
 *	Value for LSD of DBL_MAX should be "6" instead of "5" but some
 *	host system "C" compilers treat this incorrectly as a NaN.
 */
#define	DBL_MAX		1.797693134862315E+308
#define	DBL_MAX_10_EXP	308
#endif	/* DOUBLE32 */

#endif	/* _FLOAT */
