/*
 *	Cornell Theory Center					Trillium
 *
 *	Copyright 1987 Cornell University
 *
 *	GDB
 *
 *	$Log:	loadreq.h,v $
 * Revision 2.2  92/04/30  14:45:50  trillium
 * Ohio Release
 * 
 * Revision 2.1  91/03/20  11:34:56  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.1  90/07/13  19:28:15  gdburns
 * Homo sapien
 * 
 * Revision 2.0  90/02/20  11:55:03  trillium
 * Homo erectus
 * 
 * Revision 1.1  88/06/05  01:10:09  trillium
 * long overdue after 127 fixes and upgrades
 * 
 * Revision 1.0.1.1  88/01/29  11:42:27  gdburns
 * Changed T20.h to T.h to abstract machine size.
 * 
 * Revision 1.0  87/12/19  15:46:15  trillium
 * Initial revision
 * 
 *
 *	Function :	- interface constants for loadd
 */


#ifndef _LOADREQ

#define _LOADREQ

/*
 * maximum filename size
 */
#define FNAMELEN	160

/*
 * loadd reply
 */
struct lreply {
        int     ld_reply;
};

/*
 * loadd request codes
 */
#define LD_LOAD		1

struct lreq {
	int	ld_src_node;		/* node where file resides */
	int	ld_src_event;		/* event to receive reply */
	int	ld_req;			/* load request type */
        int     ld_dest_node;		/* node where to load the file */
	int	ld_tag;			/* tag to supply to flatd */
};

#endif
