/*
 *	OSU Research Computing					Trillium
 *	Copyright 1991 The Ohio State University
 *	GDB
 *
 *	$Log:	moses.h,v $
 * Revision 2.2  92/04/30  14:46:05  trillium
 * Ohio Release
 * 
 * Revision 2.1.1.1  91/10/06  18:54:09  gdburns
 * Change M_COLD to M_STTIMER.
 * 
 * Revision 2.1  91/03/20  11:35:00  gdburns
 * Ohio Release
 *
 *	Function:	- moses command codes
 *
 *			- based on Trollius 2.0 Copyright 1990
 *			  The Ohio State University and Cornell
 *			  Research Foundation
 *			- 2.0 author: AKP
 */

#define M_WRIT		0	/* word1 word2	write w2 at location w1 */
#define	M_READ		1	/* word1	fetch the contents of w1 */
#define M_LOAD		2	/* lngth addr	load lngth bytes at addr */
#define M_FTCH		3	/* lngth addr	fetch lngth bytes from addr */
#define M_CALL		4	/* addr  wp	gcall to addr, workspace wp */
#define M_RUNP		5	/* addr  wp	runp at addr, workspace wp  */
#define M_STTIMER	6	/* time		set timer(s) */
#define M_WARM		7	/* --		soft reset */
#define M_OUT		8	/* buf chan cnt	out on a channel */
#define M_IN		9	/* buf chan cnt	in  on a channel */
