/*
 *	OSU Research Computing					Trillium
 *	Copyright 1992 The Ohio State University
 *	GDB
 *
 *	$Log:	shared.h,v $
 * Revision 2.2  92/04/30  14:46:18  trillium
 * Ohio Release
 * 
 * Revision 2.1.1.2  92/01/19  20:49:02  gdburns
 * Remove a few undeserving functions and add a few useful ones.
 * This was prompted by the bootd overhaul.
 * 
 * Revision 2.1.1.1  91/12/16  21:39:15  gdburns
 * Remove bootd runtime functions.
 * 
 * Revision 2.1  91/03/20  11:35:09  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.3  90/11/16  15:11:01  raja
 * Change in the configuration of on-chip RAM.
 * 
 * Revision 2.0.1.2  90/09/07  13:09:47  gdburns
 * added _kexit
 * 
 * Revision 2.0.1.1  90/07/13  19:28:10  gdburns
 * Homo sapien
 * 
 * Revision 2.0  90/02/20  11:55:00  trillium
 * Homo erectus
 * 
 *	Function:	- shared library module constants
 *
 *			- based on Trollius 2.0 Copyright 1990
 *			  The Ohio State University and Cornell
 *			  Research Foundation
 */

#ifndef _SHARED
#define _SHARED

#ifdef tputer
#include <machine/maconfig.h>

#define	do_drecv	(*( ((int (**)()) SH_BASE)[0]))
#define	do_dsend	(*( ((int (**)()) SH_BASE)[1]))
#define	do_nrecv	(*( ((int (**)()) SH_BASE)[2]))
#define	do_nsend	(*( ((int (**)()) SH_BASE)[3]))
#define	getnet		(*( ((int (**)()) SH_BASE)[4]))
#define	getnodeid	(*( ((int (**)()) SH_BASE)[5]))
#define	getnodes	(*( ((int (**)()) SH_BASE)[6]))
#define	getorigin	(*( ((int (**)()) SH_BASE)[7]))
#define	getroute	(*( ((int (**)()) SH_BASE)[8]))
#define	getsmart	(*( ((int (**)()) SH_BASE)[9]))
#define	kcreate		(*( ((int (**)()) SH_BASE)[10]))
#define	kdoom		(*( ((int (**)()) SH_BASE)[11]))
#define	kexit		(*( ((void (**)()) SH_BASE)[12]))
#define	kinit		(*( ((int (**)()) SH_BASE)[13]))
#define	kpar_Fe		(*( ((char *((**)())) SH_BASE)[14]))
#define	kstate		(*( ((int (**)()) SH_BASE)[15]))
#define	rcreate		(*( ((int (**)()) SH_BASE)[16]))
#define	rflat		(*( ((int (**)()) SH_BASE)[17]))
#define	rforget		(*( ((char *((**)())) SH_BASE)[18]))
#define	rfree		(*( ((int (**)()) SH_BASE)[19]))
#define	rmalloc		(*( ((char *((**)())) SH_BASE)[20]))
#define	rpattach	(*( ((int (**)()) SH_BASE)[21]))
#define	ksigblock	(*( ((int (**)()) SH_BASE)[22]))
#define	ksigsetmask	(*( ((int (**)()) SH_BASE)[23]))
#define	_kexit		(*( ((int (**)()) SH_BASE)[24]))
#define	getntype	(*( ((int (**)()) SH_BASE)[25]))

#endif tputer

#endif _SHARED
