/*
 *	OSU Research Computing					Trillium
 *	Copyright 1992 The Ohio State University
 *	GDB
 *
 *	$Log:	krt0.c,v $
 * Revision 2.2  92/04/30  10:38:55  trillium
 * Ohio Release
 * 
 * Revision 2.1.1.1  92/02/23  19:14:00  gdburns
 * Add #ifdef to c.h.
 * 
 * Revision 2.1  91/03/20  03:02:43  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.1  90/07/13  19:26:43  gdburns
 * Homo sapien
 * 
 * Revision 2.0  90/02/20  11:54:04  trillium
 * Homo erectus
 *
 *	Function:	- Kernel Runtime Startoff
 *			- based on Trollius 2.0 Copyright 1990
 *			  The Ohio State University and Cornell
 *			  Research Foundation
 */

#ifdef itb
#include <c.h>
#endif
#include <kio.h>
#include <pcb.h>

/*
 * globally defined variables
 */
int		errno = 0;			/* error number */
struct pcb_t	*_pcb = 0;			/* Process Control Block */

/*
 * external variables
 */
struct kio_t	_kio = {0};			/* Kernel I/O */


void
_start(newborn)

struct pcb_t	*newborn;

{
	clrhalterr();
	testerr();

	_pcb = newborn;

	_kio.ki_nodeid = _pcb->pc_nodeid;
	_kio.ki_rtf = _pcb->pc_rtf & (RTF_KENYA | RTF_SYSGEN);
	_kio.ki_stdin = _pcb->pc_stdin;
	_kio.ki_stdout = _pcb->pc_stdout;
	_kio.ki_stderr = _pcb->pc_stderr;

	main(_pcb->pc_argc, _pcb->pc_argv);

	_exit(0);
}
