/*
 *	OSU Research Computing					Trillium
 *	Copyright 1992 The Ohio State University
 *      VSD
 *
 *	$Log:	IUTOD.c,v $
 * Revision 2.2  92/04/30  11:38:39  trillium
 * Ohio Release
 * 
 * Revision 2.1.1.1  92/02/23  19:59:09  gdburns
 * Allow make depend in the absence of ULS.
 * 
 * Revision 2.1  91/03/20  00:32:33  gdburns
 * Ohio Release
 *
 *	Function:	- tf77 unit to Trollius user file descriptor converter
 */

#ifdef uls

#include <uf77io.h>

/* 
 * external functions
 */
extern FTNFILE		*uf77_getfp();

void
IUTOD(ufd, unitno)

int			*ufd;		/* Trollius user descriptor */
int			*unitno;	/* tf77 unit # */

{
	static FTNFILE	*fp;

	fp = uf77_getfp(*unitno);
	*ufd = fp->fdesc;
}

#else

void IUTOD() { }

#endif
