/*
 *	OSU Research Computing					Trillium
 *	Copyright 1992 The Ohio State University
 *      GDB
 *
 *	$Log:	RFCHCX.c,v $
 * Revision 2.2  92/04/30  11:38:40  trillium
 * Ohio Release
 * 
 * Revision 2.1.1.1  92/02/23  19:59:47  gdburns
 * Change O_ASYNC to O_NOCBX.
 * 
 * Revision 2.1  91/03/19  23:33:20  gdburns
 * Ohio Release
 * 
 *	Function:	- tf77 file descriptor change CUBIX mode
 */

#include <freq.h>

/* 
 * external functions
 */
extern int		rfchcx();

void
RFCHCX(ufd, mode, ierror)

int			*ufd;		/* Trollius user descriptor */
int			*mode;		/* new CUBIX mode */
int			*ierror;	/* error code, value returned */

{
	*ierror = rfchcx(*ufd, *mode); 
}

void
TASYNC(ufd, ierror)

int			*ufd;		/* Trollius user descriptor */
int			*ierror;	/* error code, value returned */

{
	*ierror = rfchcx(*ufd, O_NOCBX); 
}

void
TSINGL(ufd, ierror)

int			*ufd;		/* Trollius user descriptor */
int			*ierror;	/* error code, value returned */

{
	*ierror = rfchcx(*ufd, FSINGL); 
}

void
TMULTI(ufd, ierror)

int			*ufd;		/* Trollius user descriptor */
int			*ierror;	/* error code, value returned */

{
	*ierror = rfchcx(*ufd, FMULTI); 
}
