/*
 *	OSU Research Computing					Trillium
 *
 *	Copyright 1991 The Ohio State University
 *
 *      GDB
 *
 *	$Log:	RUORDR.c,v $
 * Revision 2.2  92/04/30  11:38:46  trillium
 * Ohio Release
 * 
 * Revision 2.1  91/03/19  23:34:23  gdburns
 * Ohio Release
 * 
 *
 *	Function:	- tf77 file unit change CUBIX order
 *
 */

#include <freq.h>

/* 
 * external functions
 */
extern int		rforder();
extern void		IUTOD();

void
RUORDR(unit, sequence, ierror)

int			*unit;		/* tf77 unit # */
int			*sequence;	/* new CUBIX sequence */
int			*ierror;	/* error code, value returned */

{
	int		ufd;		/* Trollius user descriptor */

	IUTOD(&ufd, unit);
	*ierror = rforder(ufd, *sequence); 
}
