/*
 *	OSU Research Computing, architects and contractors	Trillium
 *
 *	Copyright 1990 The Ohio State University & Cornell University
 *
 *      VSD
 *
 *	$Log:	TREAD.c,v $
 * Revision 2.2  92/04/30  11:38:51  trillium
 * Ohio Release
 * 
 * Revision 2.1  91/03/20  13:12:42  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.3  91/03/19  23:32:16  gdburns
 * cosmetic changes
 * 
 * Revision 2.0.1.2  90/07/13  19:33:18  gdburns
 * Homo sapien
 * 
 * Revision 2.0.1.1  90/06/15  20:12:50  dixit-v
 * Changed from function to subroutine.
 * 
 * Revision 2.0  90/02/20  11:58:11  trillium
 * Homo erectus
 * 
 *
 *	Function:	- tf77 interface to tread
 */

#include <typical.h>

/*
 * external functions
 */
extern int		rfread();

/*
 * external variables
 */
extern int		errno;		/* global error variable */

void
TREAD(ufd, buffer, in_bytes, out_bytes, ierror)

int			*ufd;		/* user file desc, value returned */
char			*buffer;	/* input buffer */
int			*in_bytes;	/* number of bytes to read */
int			*out_bytes;	/* number of bytes actually read */
int			*ierror;	/* error code, value returned  */

{
	if ((*out_bytes = rfread(*ufd, buffer, *in_bytes)) == ERROR) {
		*ierror = errno;
	} else {
		*ierror = 0;
	}
}
