/*
 *	OSU Research Computing, architects and contractors	Trillium
 *
 *	Copyright 1990 The Ohio State University & Cornell University
 *
 *	VSD
 *
 *	$Log:	KATTDET.c,v $
 * Revision 2.2  92/04/30  11:39:16  trillium
 * Ohio Release
 * 
 * Revision 2.1  91/03/20  13:12:58  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.2  90/07/13  19:33:23  gdburns
 * Homo sapien
 * 
 * Revision 2.0.1.1  90/06/15  20:01:09  dixit-v
 * Changed function names.
 * 
 * Revision 2.0  90/02/20  11:58:16  trillium
 * Homo erectus
 * 
 *
 *	Function:	- f77 interface to kattach, kdetach
 *
 */
			  

#include <typical.h>

extern int	kattach();
extern int	kdetach();
extern int	errno;

void
KATTCH(priority, ierror)

int		*priority,	/* requested priority */
		*ierror;	/* return code */

{
	if (kattach(*priority) != SUCCESS) {
		*ierror = errno;
	}

	else {
		*ierror = 0;
	}
}


void
KDETCH(pid, ierror)

int			*pid,			/* process id to detach */
			*ierror;

{
	if (kdetach(*pid) != SUCCESS) {
		*ierror = errno;
	}

	else {
		*ierror = 0;
	}
}


