/*
 *	OSU Research Computing, architects and contractors	Trillium
 *
 *	Copyright 1990 The Ohio State University & Cornell University
 *
 *	VSD
 *
 *	$Log:	KINIT.c,v $
 * Revision 2.2  92/04/30  11:39:21  trillium
 * Ohio Release
 * 
 * Revision 2.1  91/03/20  13:13:02  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.1  90/07/13  19:33:27  gdburns
 * Homo sapien
 * 
 * Revision 2.0  90/02/20  11:58:18  trillium
 * Homo erectus
 * 
 *
 *	Function:	- f77 interface to kinit
 *
 *	Accepts:	- ptr to priority to be used with kattach
 *			- ptr to return code
 *
 */

#include <typical.h>

extern int	kinit();
extern int	errno;

void
KINIT(priority, ierror)

int	*priority,
	*ierror;
{
	if (kinit(*priority) != SUCCESS) {
		*ierror = errno;
	}
	else {
		*ierror = 0;
	}
}

