/*
 *	OSU Research Computing, architects and contractors	Trillium
 *
 *	Copyright 1990 The Ohio State University & Cornell University
 *
 *	RBD
 *
 *	$Log:	GETNTYPE.c,v $
 * Revision 2.2  92/04/30  11:40:10  trillium
 * Ohio Release
 * 
 * Revision 2.1  91/03/20  13:13:26  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.2  90/07/13  19:33:38  gdburns
 * Homo sapien
 * 
 * Revision 2.0.1.1  90/06/15  19:34:53  dixit-v
 * Changed function names.
 * 
 * Revision 2.0  90/02/20  11:58:24  trillium
 * Homo erectus
 * 
 *
 *	f77 interface to getnall, getncast, getnitb, getnotb, getntype
 */

#include <net.h>

extern int	getntype();

void
IGNALL(ret)

int	*ret;

{
	*ret = getnall();
}


void
IGNCST(ret)

int	*ret;

{
	*ret = getncast();
}


void
IGNITB(ret)

int	*ret;

{
	*ret = getnitb();
}


void
IGNOTB(ret)

int	*ret;

{
	*ret = getnotb();
}


void
IGNTP(ret, nodetype, typemask)

int	*ret;
int	*nodetype, *typemask;

{
	*ret = getntype(*nodetype, *typemask);
}

