/*
 *	OSU Research Computing					Trillium
 *	Copyright 1992 The Ohio State University
 *	RBD
 *
 *	$Log:	perror.c,v $
 * Revision 2.2  92/04/30  11:44:06  trillium
 * Ohio Release
 * 
 * Revision 2.1.1.3  92/02/27  11:42:47  gdburns
 * robust overhaul
 * 
 * Revision 2.1.1.2  91/06/10  22:14:39  raja
 * Fixed the previous fix in calling itoa().
 * 
 * Revision 2.1.1.1  91/06/04  18:34:45  raja
 * Fixed itoa() calling error and added a '\n' at the end of the string.
 * 
 * Revision 2.1  91/03/20  13:09:58  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.1  90/07/13  19:32:26  gdburns
 * Homo sapien
 * 
 * Revision 2.0  90/02/20  11:57:37  trillium
 * Homo erectus
 *
 *	Function:	- prints the given error message reporting
 *			  the error number
 *			- ITB code for error codes not covered by terror()
 */

extern int		errno;

/*
 * Form an error string out of the supplied string (if any)
 * and the error number in errno.  The string is tprint'ed. 
 */

void
perror(message)

char 			*message;

{
	char		string[70];
	char		num[16];

	strncpy(string, message, 40);
	string[40] = '\0';
	strcat(string, ": Error: ");
	itoa(errno, num);
	strcat(string, num);
	strcat(string, "\n");
	tprint(string);
}
