/*
 *	OSU Research Computing					Trillium
 *	Copyright 1992 The Ohio State University
 *	GDB
 *
 *	$Log:	getpid.c,v $
 * Revision 2.2  92/04/30  11:49:13  trillium
 * Ohio Release
 * 
 * Revision 2.1.1.1  92/02/23  22:16:34  gdburns
 * general refurbishment
 * 
 * Revision 2.1  91/03/20  13:11:43  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.1  90/07/13  19:32:46  gdburns
 * Homo sapien
 * 
 * Revision 2.0  90/02/20  11:57:52  trillium
 * Homo erectus
 * 
 *	Function:	- get process identifier
 *			- based on Trollius 2.0 Copyright 1990
 *			  The Ohio State University and Cornell
 *			  Research Foundation
 *	Returns:	- process identifier
 */

#include <pcb.h>

/*
 * external variables
 */
extern struct pcb_t	*_pcb;		/* Process Control Block */

int
getpid()

{
	return(_pcb->pc_pid);
}
