/*
 *      Office of Research Computing
 *
 *      Copyright 1989 The Ohio State University
 *
 *      VSD
 *
 *	$Log:	TWRITE.c,v $
 * Revision 2.2  92/04/30  11:52:20  trillium
 * Ohio Release
 * 
 * Revision 2.1  91/03/20  13:34:12  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.3  91/03/19  23:04:24  gdburns
 * cosmetic changes
 * 
 * Revision 2.0.1.2  90/07/13  19:34:24  gdburns
 * Homo sapien
 * 
 * Revision 2.0.1.1  90/06/15  17:09:43  dixit-v
 * Changed from function to subroutine.
 * 
 * Revision 2.0  90/02/20  11:58:40  trillium
 * Homo erectus
 * 
 * 
 *	Function : - f77 interface to twrite
 *
 *		     Returns: number of bytes written or ERROR
 *
 */

#include <typical.h>

extern int	twrite();
extern int	errno; 		/* global error variable */

void
twrite_(u_desc, buffer, in_bytes, out_bytes, ierror)

int	*u_desc;	/* user file descriptor	*/
char	*buffer;	/* pointer to buffer to be written */
int	*in_bytes;	/* number of bytes to be written */
int	*out_bytes;	/* number of bytes actually written */
int	*ierror;	/* error code */

{
	if ((*out_bytes = twrite(*u_desc, buffer, *in_bytes)) == ERROR) {
		*ierror = errno;
	}
	else {
		*ierror = 0;
	}
}
