/*
 *      Office of Research Computing
 *
 *      Copyright 1989 The Ohio State University
 *
 *      VSD
 *
 *	$Log:	KDOOM.c,v $
 * Revision 2.2  92/04/30  11:52:48  trillium
 * Ohio Release
 * 
 * Revision 2.1  91/03/20  13:34:23  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.1  90/07/13  19:34:27  gdburns
 * Homo sapien
 * 
 * Revision 2.0  90/02/20  11:58:42  trillium
 * Homo erectus
 * 
 *
 *	Function:	- f77 interface to doom
 *
 *	Accepts:	- ptr to Trollius process identifier (0 means yourself)
 *			  and ptr to signal number.
 *			- ptr to return code
 *
 */
			  

#include <typical.h>

extern int	kdoom();
extern int	errno;

void
kdoom_(pid, signal, ierror)

int		*pid,		/* Trollius process ID */
		*signal,	/* signal number */
		*ierror;

{
	if (kdoom(*pid, *signal) != SUCCESS) {
		*ierror = errno;
	}

	else {
		*ierror = 0;
	}
}
