/*
 *	OSU Research Computing, architects and contractors	Trillium
 *
 *	Copyright 1990 The Ohio State University & Cornell University
 *
 *	RBD
 *
 *	$Log:	BFPROBE.c,v $
 * Revision 2.2  92/04/30  11:53:16  trillium
 * Ohio Release
 * 
 * Revision 2.1  91/03/20  13:34:43  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.1  90/07/13  19:34:51  gdburns
 * Homo sapien
 * 
 * Revision 2.0  90/06/18  17:41:08  dixit-v
 * Homo erectus
 * 
 *
 *	Function:	- otb f77 interface to bfprobe
 */


#include <net.h>

extern int		bfprobe();
extern int		errno;


void
bfprob_(nevent, ntype, nlength, nflags, nready, ierror)

int 	*nevent, *ntype, *nlength, *nflags;
int	*nready, *ierror;
			
{
	struct nmsg	nhead;

	nhead.nh_event	= *nevent;
	nhead.nh_type	= *ntype;
	*ierror = 0;

	if ((*nready = bfprobe(&nhead)) > 0) {
                *ntype = nhead.nh_type;
                *nlength = nhead.nh_length;
                *nflags = nhead.nh_flags;
	}
	else if (*nready < 0) {
		*ierror = errno;
	}
}

