.TH TFISH l  "April 12, 1992" "Release 2.2" "TROLLIUS TOOLS"
.SH NAME
tfish \- Reset one or more ITB nodes.  (Trollius) (Meiko VCS version)
.SH SYNTAX
.B tfish
[-h][-d <delay>] [<filename>]
.SH OPTIONS
.TP 14
.B \-d <delay>
Wait <delay> seconds after reset.
.TP
.B \-h
Print useful information on this tool.
.SH DESCRIPTION
.PP
.I Tfish
resets all the ITB nodes in the allocated VCS domain.
It can be invoked from ssh(l) or any program that has the VCS domain's
supervisor file descriptor open.
See svcsd(8) for a better explanation.
.I Tfish
is an implicit step of the sboot(l) tool that boots Trollius into a
device connected ITB node.
.PP
By default,
.I tfish
with no options should accomplish the desired reset.
The filename of the device which accesses the ITB nodes is ignored
in the Meiko version of \fItfish\fR.
.SH DIAGNOSTICS
.PP
.I Tfish
will fail if invoked from a normal shell.
.SH BUGS
.PP
For reasons unknown to Meiko and OSU, \fItfish\fR does not work.
See solder(l).
.SH "SEE ALSO"
sboot(l), svcsd(8)
