/*
 *	OSU Research Computing, architects and contractors	Trillium
 *
 *	Copyright 1990 The Ohio State University
 *
 *	GDB
 *
 *	$Log:	ssh.h,v $
 * Revision 2.2  92/04/30  13:49:52  trillium
 * Ohio Release
 * 
 * Revision 2.1  91/03/20  11:48:56  gdburns
 * Ohio Release
 * 
 * Revision 2.0  90/10/04  17:23:52  gdburns
 * Meiko VCS
 * 
 *
 *	Function:	- constants pertaining to ssh
 */


#ifndef _SSH

#define _SSH

/*
 * maximums
 */
#define MAXARGV		80		/* max # of command line tokens */
#define MAXLINE		320		/* max length of command line */

/*
 * special tokens
 */
#define ESCAPE		'!'		/* escape command to native OS */

#ifndef NULL
#define NULL		((char *) 0)	/* null character ptr */
#endif

#endif _SSH
