.TH TERROR l "January 18, 1992" "Release 2.2" "TROLLIUS FORTRAN LIBRARY"
.SH NAME
TERROR \- Print Trollius system error message.
.SH SYNOPSIS
.nf
subroutine TERROR (strname)
character strname*(*)
.fi
.SH DESCRIPTION
.PP
.I TERROR()
writes an error message to standard output, describing the most recent
Trollius error.
Many Trollius subroutines have an
.I ierror
argument that returns an error code.
If
.I TERROR()
is invoked immediately after detecting an error condition from
a Trollius subroutine, the description corresponding to the
.I ierror
code will be displayed.
The error message will be preceded by the contents of
.I strname.
.SH EXAMPLE
.RS
.nf
integer ierror

call KINIT(0, ierror)

if (ierror .ne. 0) call TERROR("kinit")
.fi
.RE
