.TH TREAD l "January 19, 1992" "Release 2.2" "TROLLIUS REMOTE LIBRARY"
.SH NAME
TREAD \- Read data from a remote file. (Trollius)
.SH SYNOPSIS
.nf
subroutine TREAD (udesc, buffer, inbytes, outbytes, ierror)
integer udesc, buffer(*), inbytes, outbytes, ierror
.fi
.SH DESCRIPTION
.PP
.I TREAD()
attempts to read
.I inbytes 
of data from the file referenced by the descriptor 
.I udesc,
into the array
.I buffer. 
Although 
.I buffer
is declared as an integer array, any numerical array can be used.
Character arrays may not be used.
.I Outbytes
is set to the number of bytes successfully read.
.I Ierror
is set to the error code if an error occurs.  
Otherwise, it is set to 0.
.PP
The file must first be opened with TOPEN(l), which returns the file
descriptor \fIudesc\fR.
.PP
.I TREAD()
will eventually invoke read(2) on a remote node.
Most of its functionality, semantics and limitations derive from read(2).
.SH ERRORS
.PP
.I TREAD()
may incur any of the error conditions associated with read(2).
It may also fail due to errors associated with NSEND(l) or NRECV(l).
.SH "SEE ALSO"
TOPEN(l), TWRITE(l), read(2)
