.TH TFILE l  "November 16, 1990" "Release 2.2" "TROLLIUS COMMANDS"
.SH NAME
tfile \- control functions of the Trollius remote file daemon
.SH SYNTAX
.B tfile
[-Sh] [-s <descno>] <nodes> [<newdir>]
.SH OPTIONS
.TP 12
.B \-s #
Sweep out the numbered filed descriptor.
.TP
.B \-S
Sweep out all but the standard filed descriptors.
.TP
.B <nodes>
Direct command to filed on these nodes (usually h, the origin host node)
.TP
.B <newdir>
Change to new working directory.
.TP
.B \-h
Print helpful information on the tfile command.
.SH DESCRIPTION
.I Tfile
controls enables command line control over important file daemon (filed)
attributes and support features.
With no options,
.I tfile
reports the current working directory that is prepended to all partial
pathnames on open(2).
A file name on the command line becomes the new working directory.
.LP
Another important role of
.I tfile
is cleaning the debris that can form among filed and a group of
clients using the cubix(l) access method.
Under cubix, clients synchronize with each other using filed as
a rendez-vous point.
If, for whatever reason, one or more clients fail to synchronize,
an orphan file descriptor will be left with filed.
The orphan descriptor, actually any descriptor, can be swept clean
by indicating its handle (number) with the -c option.
If desired, all descriptors, save stdio (0, 1, 2), can be cleaned
and filed effectively reset with the the -S option.
.SH EXAMPLE
.TP 10
.I tfile h data/set1
Change current working directory as indicated.
.TP
.I tfile h -s 4
Close and remove filed descriptor 4.
.SH SEE ALSO
cubix(l), fstate(l)
