/*
 *	Cornell Theory Center					Trillium
 *
 *	Copyright 1987 Cornell University
 *
 *	GDB
 *
 *	$Log:	memreq.h,v $
 * Revision 2.2  92/04/30  14:45:56  trillium
 * Ohio Release
 * 
 * Revision 2.1  91/03/20  11:34:59  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.1  90/07/13  19:28:16  gdburns
 * Homo sapien
 * 
 * Revision 2.0  90/02/20  11:55:04  trillium
 * Homo erectus
 * 
 * Revision 1.1  88/06/05  01:10:17  trillium
 * long overdue after 127 fixes and upgrades
 * 
 * Revision 1.0  87/12/19  15:46:18  trillium
 * Initial revision
 * 
 *
 *	Function:	- define memory write request structures and constants
 */


#ifndef _MEMREQ

#define _MEMREQ

#define MWRITE		1
#define MREAD		2

#define rmwrite(n, s, d, l)	(rmem(n, s, d, l, MWRITE))
#define rmread(n, s, d, l)	(rmem(n, s, d, l, MREAD))

struct memreq {
	char			*mem_address;	/* address to write data */
	int			mem_length;	/* total length of data */
	int			mem_event;	/* private data transmission
						   event */
	int			mem_node;	/* node used by read */
};

#endif
