/*
 *	OSU Research Computing					Trillium
 *	Copyright 1992 The Ohio State University
 *	GDB
 *
 *	$Log:	mng.h,v $
 * Revision 2.2  92/04/30  14:45:58  trillium
 * Ohio Release
 * 
 *	Function:	- MNG format, Archipel?
 */

#ifndef _MNG
#define _MNG

#include <portable.h>

struct mng {
	int4		mng_ltext;	/* text segment length */
	int4		mng_ldata;	/* data segment length */
	int4		mng_lbss;	/* bss segment length */
	int4		*mng_ptext;	/* text segment address */
	int4		*mng_pdata;	/* data segment address */
	int4		*mng_pbss;	/* bss segment address */
	int4		mng_pentry;	/* text segment entry address */
};

#define MNGNULL		((struct mng *) 0)
					/* null pointer */

/*
 * This file format could really use a magic number.
 * For now we have to use this totally hacked up method
 * of checking the file validity.
 */
#define mng_magic(x) (x->mng_ptext == (int4 *) 0xFFF00000)

#endif
