/*
 *	OSU Research Computing, architects and contractors	Trillium
 *
 *	Copyright 1990 The Ohio State University & Cornell University
 *
 *	GDB
 *
 *	$Log:	getsmart.c,v $
 * Revision 2.2  92/04/30  14:49:44  trillium
 * Ohio Release
 * 
 * Revision 2.1  91/03/20  11:37:56  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.1  90/07/13  19:30:52  gdburns
 * Homo sapien
 * 
 * Revision 2.0  90/02/20  11:56:38  trillium
 * Homo erectus
 * 
 *
 *	Function:	- make the RGETSMART request to the local router
 */


#include <net.h>
#include <events.h>
#include <rreq.h>


int
getsmart()

{
	struct rreq		*request;	/* router request */
	struct nmsg		nhead;		/* network header */

/*
 * Set up the router request.
 */
	request = (struct rreq *) nhead.nh_data;
	request->rq_request = RGETSMART;

	nhead.nh_dl_event = EVROUTER;
	nhead.nh_type = RSMART;
	nhead.nh_flags = NOBUF;
	nhead.nh_length = 0;
	nhead.nh_msg = (char *) 0;

	return(dsend(&nhead));
}
