/*
 *	Cornell Theory Center					Trillium
 *
 *	(third party software provided under license)
 *
 *	$Log:	tsize.c,v $
 * Revision 2.2  92/04/30  15:20:20  trillium
 * Ohio Release
 * 
 * Revision 2.1.1.1  92/02/12  15:06:27  gdburns
 * Remove conditional non-Trollius compilation.
 * 
 * Revision 2.1  91/03/20  13:03:38  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.1  90/07/13  19:32:19  gdburns
 * Homo sapien
 * 
 * Revision 2.0  90/02/20  11:57:32  trillium
 * Homo erectus
 * 
 *	We're just putting our stamp on this for housekeeping reasons.
 */

#include <stdio.h>
#include <t.out.h>

int	header;

main(argc, argv)
char **argv;
{
	struct exec buf;
	long sum;
	int gorp,i;
	FILE *f;

	if (argc==1) {
		*argv = "t.out";
		argc++;
		--argv;
	}
	gorp = argc;
	while(--argc) {
		++argv;
		if ((f = fopen(*argv, "r"))==NULL) {
			printf("tsize: %s not found\n", *argv);
			continue;
		}
		if (fread((char *)&buf, sizeof(buf), 1, f) != 1 ||
		    (buf.a_magic != TO_MAGIC_TN &&
		     buf.a_magic != TO_MAGIC_TN_X &&
		     buf.a_magic != TO_MAGIC_T2 &&
		     buf.a_magic != TO_MAGIC_T2_X &&
		     buf.a_magic != TO_MAGIC_T4 &&
		     buf.a_magic != TO_MAGIC_T4_X &&
		     buf.a_magic != TO_MAGIC_T8 &&
		     buf.a_magic != TO_MAGIC_T8_X )) {
			printf("tsize: %s not an object file\n", *argv);
			fclose(f);
			continue;
		}
		if (header == 0) {
			printf("text\tdata\tbss\tdec\thex\n");
			header = 1;
		}
		printf("%u\t%u\t%u\t", buf.a_text,buf.a_data,buf.a_bss);
		sum = (long) buf.a_text + (long) buf.a_data + (long) buf.a_bss;
		printf("%ld\t%lx", sum, sum);
		if (gorp>2)
			printf("\t%s", *argv);
		printf("\n");
		fclose(f);
	}
	exit(0);
}
