/*
 *	Cornell Theory Center				tti
 *
 *	Copyright 1988 Cornell University
 *
 *	AKP
 *
 *	Function:	- the outer interpreter
 *
 *	$Log:	outer.ts,v $
Revision 1.1  88/08/19  15:35:49  gdburns
Initial revision

 */


#include "tti.h"


	EXPORT	Outer
	IMPORT	Constant
	IMPORT	Dot, DotQ
	IMPORT	Execute
	IMPORT	Goto
	IMPORT	If
	IMPORT	Literal
	IMPORT	NL
	IMPORT	Number
	IMPORT	Prompt
	IMPORT	Question
	IMPORT	Search
	IMPORT	Stack
	IMPORT	_Start
	IMPORT	Token

	ISEG
Outer:
	dw codep(DotQ)
	dw codep(Prompt)
	dw Constant
	dw ' '
	dw codep(Token)
	dw codep(Search)
	dw If
	dw 5 * BPW
	    dw codep(Execute)
	    dw codep(Stack)
	    dw Goto
	    dw -(10 * BPW)
	dw codep(Number)
	dw If
	dw 4 * BPW
	    dw Literal
	    dw Goto
	    dw -(16 * BPW)
	dw codep(Question)
	dw Goto
	dw -(19 * BPW)
