/*
 *	OSU Research Computing					Trillium
 *	Copyright 1992 The Ohio State University
 *	JRV
 *
 *	$Log:	mandel.h,v $
 * Revision 2.2  92/04/29  15:09:23  trillium
 * Ohio Release
 * 
 *      Function:	- useful defines and function declarations
 */

#define	MAX_ITERATIONS	1000

#define	MESSAGE_DIE	1
#define MESSAGE_WORK	3

#define EVENT_REQUEST	10
#define EVENT_RESULT	11

typedef struct {
	float	real;
	float	imaginary;
} complex;

/*
 * Functions in region.c 
 */
extern void	get_region_dimensions();
extern void	get_grid_dimensions();
extern void	get_first_region();
extern int4	get_next_region();
extern int4	get_num_regions();
extern int4	get_data_file();

/*
 * Functions in xy2color.c
 */
extern char	xy2color();
