.TH LESTATE l  "March 11, 1992" "Release 2.2" "TROLLIUS COMMANDS"
.SH NAME
lestate \- Report status of remote LEDs.  (Trollius)
.SH SYNTAX
.B lestate
[-h] <node(s)>
.SH OPTIONS
.TP 11
.B \-h
Print useful information on this command.
.SH DESCRIPTION
.PP
.I Lestate
displays information on LEDs attached to Trollius nodes.
One line of information is printed for each
node specified on the command line.
Information is displayed under the following headings:
.PP
.TP 12
NODE
The LEDs are connected to this node.
.TP
#LED
The node has this number of LEDs.
.TP
SHADOW
The LEDs currently have this value, printed in hexadecimal.
.TP
CC
When updated, the LED values are reflected to this node.
.PP
Nodes are identified as 
.I n<list>,
where <list> can be a single node identifier or a list of node
identifiers.
Node identifiers are established in the boot schema (see nail(l)).
The list can be written in decimal and/or hexadecimal notation, 
for example, 0-7,8,10,0xc,0x10-31.
.SH EXAMPLES
.TP 4
.I lestate n12-14
Display the status of LEDs on nodes 12 through 14.
.SH SEE ALSO
tled(l)
