.TH MANDEL l  "March 30, 1992" "Release 2.2" "TROLLIUS APPLICATIONS"
.SH NAME
MandelBozo - A master/slave application which plots regions of the Mandelbrot set. 
.SH SYNTAX
loadgo <node(s)> man_slave
.br
loadgo -w n0 man_mast
.SH DESCRIPTION
man_mast and man_slave are sample Trollius applications that use nsend(l) and 
nrecv(l).
man_mast acts as the master process and runs on node 0. 
Instantiations of man_slave are the worker processes and are run on nodes
1 through N, where N is the number of nodes that have been booted using 
spread(l).

The master process asks the user for the Upper-Left and Lower-Right points
on the complex plane which define the area to be plotted.
It then asks for the pixel dimensions to be plotted.
Next, it asks the user for the dimensions of the 'partitions'.
This partition size defines the granularity of the problem.
Finally, the user is asked who should plot the region.  The response should
the node number: 100 for the host if xmtvd(l) is being used, or if mtvd(l) is
used, the ITB node number which is of type NT_TUBE.
Regions are computed by each worker process and the results sent back to the 
master process.
The master process then sends a command to xmtvd or mtvd to plot the
region and then sends a request to the same worker to process another region.  
This continues until the entire area has been computed and plotted. 
Finally, the running time in seconds is displayed.
.SH EXAMPLE
"loadgo n1-7 man_slave"
.br
"loadgo -w n0 man_mast"
.SH BUGS
The master process must be run on node 0.
Also, if the user input is ridiculous, the program may not gracefully handle 
it.
.SH SEE ALSO
spread(l), loadgo(l), nsend(l), xmtvd(l), mtvd(l)


