.TH RTRATTACH l "August 19, 1991" "Release 2.1" "TROLLIUS REMOTE LIBRARY"
.SH NAME
rtrattach, rtrdetatch \- Register (or de-register) process with trace daemon.
(Trollius)
.SH SYNOPSIS
.nf
.ft B
int rtrattach (int nodeid);
int rtrdetach (int nodeid);
.fi
.SH DESCRIPTION
An an advance step to transporting trace data, a process must
register with a trace daemon by calling the
.I rtrattach
function.
In theory, the trace daemon can be located on any node but in
practise, the local daemon should be used and the nodeid argument
should be set to LOCAL.
.PP
After registration, the traced process can store trace data with
the daemon using the rtrstore(l) function.
The current status of a traced process is available from rtrstate(l).
.PP
Before terminating, a traced process should de-register with the
local trace daemon by calling the
.I rtrdetach
function and again using LOCAL as the only argument.
.SH "RETURN VALUE"
Upon successful completion of both
.I rtrattach 
and
.I rtrdetach
0 is returned.
Otherwise, \-1 is returned and the global variable,
.I errno
is set to one of the error codes of nsend(l).
.SH "SEE ALSO"
rtrstore(l), rtrstate(l), trstate(l)
