.TH TVSTATE l  "March 25, 1992" "Release 2.2" "TROLLIUS COMMANDS"
.SH NAME
tvstate \- Report status of remote graphics daemon.  (Trollius)
.SH SYNTAX
.B tvstate
[-h] <node(s)>
.SH OPTIONS
.TP 11
.B \-h
Print useful information on this command.
.SH DESCRIPTION
.PP
.I Tvstate
displays information on graphics frame buffers attached to Trollius nodes.
One line of information is printed for each node specified on the command line.
Information is displayed under the following headings:
.PP
.TP 12
NODE
The graphics frame buffers are connected to this node.
.TP
XLEN
The node supports this number of horizontal pixels.
.TP
YLEN
The node supports this number of vertical pixels.
.TP
NCOL.
The node supports this number of distinct colours per pixel.
.TP
XTEXT
The node supports this number of horizontal text characters.
.TP
YTEXT
The node supports this number of vertical text characters.
.PP
Nodes are identified as 
.I n<list>,
where <list> can be a single node identifier or a list of node identifiers.
Node identifiers are established in the boot schema (see nail(l)).
The list can be written in decimal and/or hexadecimal notation, 
for example, 0-7,8,10,0xc,0x10-31.
.SH EXAMPLES
.TP 4
.I tvstate n12-14
Display the status of the graphics frame buffers on nodes 12 through 14.
.SH SEE ALSO
mtv(l)
