/*
 *	OSU Research Computing					Trillium
 *	(third party software provided under license)
 *
 *	$Header: memcmp.c,v 2.2 92/04/21 10:58:41 trillium Rel $
 *	We are just putting our stamp on this for housekeeping reasons.
 */

/*
 *	memcmp - compare bytes
 */

#include	<string.h>

int				/* <0, == 0, >0 */
memcmp(s1, s2, size)
	const	void	*s1;
	const	void	*s2;
	size_t	size;
	{
	register const	char	*scan1;
	register const	char	*scan2;
	register size_t	n;

	scan1 = s1;
	scan2 = s2;
	for(n = size; n > 0; n--)
		if(*scan1 == *scan2)
			{
			scan1++;
			scan2++;
			}
		else	return(*scan1 - *scan2);

	return(0);
	}
