/*
 *	OSU Research Computing					Trillium
 *	(third party software provided under license)
 *
 *	$Header: strchr.c,v 2.2 92/04/21 10:58:45 trillium Rel $
 *	We are just putting our stamp on this for housekeeping reasons.
 */

/*
 *	strchr - find first occurrence of a character in a string
 */

#include	<string.h>

char	*			/* Found char, or NULL if none */
strchr(s, charwanted)
	const	char	*s;
	register int	charwanted;
	{
	register const	char	*scan;

	/*
	 * The odd placement of the two tests is so NUL is findable.
	 */
	for(scan = s; *scan != charwanted;)	/* ++ moved down for opt. */
		if(*scan++ == '\0')
			return(NULL);
	return(scan);
	}
