/*
 *	OSU Research Computing					Trillium
 *	(third party software provided under license)
 *
 *	$Header: strncat.c,v 2.2 92/04/21 10:58:48 trillium Rel $
 *	We are just putting our stamp on this for housekeeping reasons.
 */

/*
 *	strncat - append at most n characters of string src to dst
 */

#include	<string.h>

char	*			/* dst */
strncat(dst, src, n)
	char	*dst;
	const	char	*src;
	size_t	n;
	{
	register char	*dscan;
	register const	char	*sscan;
	register size_t	count;

	for(dscan = dst; *dscan != '\0'; dscan++)
		continue;
	sscan = src;
	count = n + 1;
	while(*sscan != '\0' && --count > 0)
		*dscan++ = *sscan++;
	*dscan++ = '\0';
	return(dst);
	}
