/*
 *	OSU Research Computing					Trillium
 *	(third party software provided under license)
 *
 *	$Header: strpbrk.c,v 2.2 92/04/21 10:58:49 trillium Rel $
 *	We are just putting our stamp on this for housekeeping reasons.
 */

/*
 *	strpbrk - find first occurrence of any char from breakat in s
 */

#include	<string.h>

char	*			/* found char, or NULL if none */
strpbrk(s, breakat)
	const	char	*s;
	const	char	*breakat;
	{
	register const	char	*sscan;
	register const	char	*bscan;

	for(sscan = s; *sscan != '\0'; sscan++)
		{
		for(bscan = breakat; *bscan != '\0';)	/* ++ moved down. */
			if(*sscan == *bscan++)
				return(sscan);
		}
	return(NULL);
	}
