/*
 *	OSU Research Computing					Trillium
 *	(third party software provided under license)
 *
 *	$Header: strstr.c,v 2.2 92/04/21 10:58:51 trillium Rel $
 *	We are just putting our stamp on this for housekeeping reasons.
 */

/*
 *	strstr - find first occurrence of wanted in s
 */

#include	<string.h>

char	*			/* Found string, or NULL if none */
strstr(s, wanted)
	const	char	*s;
	const	char	*wanted;
	{
	register char	*scan;
	register size_t	len;
	register char	firstc;
	extern	int	strcmp();
	extern	size_t	strlen();

	/*
	 * The odd placement of the two tests is so "" is findable.
	 * Also, we inline the first char for speed.
	 * The ++ on scan has been moved down for optimization.
	 */
	firstc = *wanted;
	len = strlen(wanted);
	for(scan = s; *scan != firstc || strncmp(scan, wanted, len) != 0; )
		if(*scan++ == '\0')
			return(NULL);
	return(scan);
	}
