/*
 *	OSU Research Computing & Cornell Theory Center		Trillium
 *
 *	Copyright 1990 Cornell University & The Ohio State University
 *
 *	MB
 *
 *	$Log:	c.c,v $
 * Revision 2.2  92/04/21  10:59:48  trillium
 * Ohio Release
 * 
 * Revision 2.1  91/03/20  13:31:30  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.1  90/07/13  19:38:47  gdburns
 * Homo sapien
 * 
 * Revision 2.0  90/02/20  12:01:22  trillium
 * Homo erectus
 * 
 *
 *	FUNCTIONS around conc.h MACROS to fit lstt/c.h
 */

/* first include conc.h to get the prototypes: */
#include <conc.h>

#undef const
#define const	/* ANSI keyword not yet implemented */

void in (int *c, char *b, int n)	{ _BUILTIN_ChanIn((Channel *)c,b,n); }
void out (int *c, char *b, int n)	{ _BUILTIN_ChanOut((Channel *)c,b,n); }
void resetch (char *c)			{ _BUILTIN_ChanReset((Channel *)c); }

void runp (int *w)	{ _BUILTIN_PRun((PDes)w); }
void stopp()		{ _BUILTIN_ProcStop(); }

int ldtimer()		{ return (_BUILTIN_Time()); }
void sttimer (int x)	{ _BUILTIN_SetTime(x); }

int ldpri()		{ _BUILTIN_ProcGetPriority(); }
void setpri (int p)	{ ((p)? ProcToLow() : ProcToHigh()); }
void flick()		{ _BUILTIN_ProcReschedule(); }
void tin (int x)	{ _BUILTIN_ProcAfter(x); }

void	*_BUILTIN_memcpy(void *d, const void *s, unsigned int n);

void move (void *s, void *d, int n)	{ _BUILTIN_memcpy(d,s,n); }

int mint()	{ return (0x80000000); }

void testerr() {
#pragma asm
	testerr
#pragma endasm
}

void clrhalterr() {
#pragma asm
	clrhalterr
#pragma endasm
}

/*  gajw(w)	*/
/*  sthf(w)	*/
/*  sthb(w)	*/
/*  stlf(w)	*/
/*  stlb(w)	*/

