/*
 *	OSU Research Computing					Trillium
 *	(public domain software)
 *
 *	$Log:	_iob.c,v $
 * Revision 2.2  92/04/21  11:02:57  trillium
 * Ohio Release
 * 
 *	We are just putting our stamp on this for housekeeping reasons.
 */

/*
 * This file is originally from dLibs 1.2 by Dale Schumacher et al.
 * It was modified for Trollius by MB, 88/12.
 * It was modified again for portability by GDB, 91/08.
 */

/*
 * (MB) This file only holds the _iob array,
 * plus added flag _ioexit that is set when we call atkexit().
 */

/*
 * Look out: we added _IODEV to the flags for stdin/stdout/stderr:
 */

#include <stdio.h>

/*
 * global variables
 */
int			_ioexit = 0;

/*
 * stream buffers
 */
FILE			_iob[_NFILE] = {

/*		cnt ptr   base  flag                        file bsiz  ch  */
/* stdin */	{0, NULL, NULL, (_IOREAD | _IOLBF | _IODEV),  0,  0,  '\0'},
/* stdout */	{0, NULL, NULL, (_IOWRT  | _IOLBF | _IODEV),  1,  0,  '\0'},
/* stderr */	{0, NULL, NULL, (_IOWRT  | _IONBF | _IODEV),  2,  0,  '\0'},
/* 3 */		{0, NULL, NULL, 0, 0, 0, '\0'},
/* 4 */		{0, NULL, NULL, 0, 0, 0, '\0'},
/* 5 */		{0, NULL, NULL, 0, 0, 0, '\0'},
/* 6 */		{0, NULL, NULL, 0, 0, 0, '\0'},
/* 7 */		{0, NULL, NULL, 0, 0, 0, '\0'},
/* 8 */		{0, NULL, NULL, 0, 0, 0, '\0'},
/* 9 */		{0, NULL, NULL, 0, 0, 0, '\0'},
/* 10 */	{0, NULL, NULL, 0, 0, 0, '\0'},
/* 11 */	{0, NULL, NULL, 0, 0, 0, '\0'},
/* 12 */	{0, NULL, NULL, 0, 0, 0, '\0'},
/* 13 */	{0, NULL, NULL, 0, 0, 0, '\0'},
/* 14 */	{0, NULL, NULL, 0, 0, 0, '\0'},
/* 15 */	{0, NULL, NULL, 0, 0, 0, '\0'},
};
