/*
 *	OSU Research Computing					Trillium
 *	(public domain software)
 *
 *	$Log:	fputs.c,v $
 * Revision 2.2  92/04/21  11:03:04  trillium
 * Ohio Release
 * 
 *	We are just putting our stamp on this for housekeeping reasons.
 */

/*
 * This file is originally from dLibs 1.2 by Dale Schumacher et al.
 * It was modified for Trollius by MB, 88/12.
 * It was modified again for portability by GDB, 91/08.
 */

#include <stdio.h>

int
fputs(data, fp)
	char *data;
	FILE *fp;
{
	int n = 0;

	while(*data)
	{
		if(fputc(*data++, fp) == EOF)
			return(EOF);
		++n;
	}
	return(n);
}

int
puts(data)
	char *data;
{
	int n;

	if(((n = fputs(data, stdout)) == EOF)
	|| (fputc('\n', stdout) == EOF))
		return(EOF);
	return(++n);
}
