/*
 *	OSU Research Computing					Trillium
 *	(third party software provided under license)
 *
 *	$Header: limits.h,v 2.2 92/04/21 11:07:06 trillium Rel $
 *	We are just putting our stamp on this for housekeeping reasons.
 */

/*
 *	limits.h
 *
 *	Copyright 1987-1988 by Logical Systems.
 */

#ifndef	_LIMITS				/* Avoid duplication */
#define	_LIMITS		1

#define	CHAR_BIT	8
#define	SCHAR_MIN	-128
#define	SCHAR_MAX	127
#define	UCHAR_MAX	255U
#define	CHAR_MIN	0		/* "char" unsigned by default */
#define	CHAR_MAX	UCHAR_MAX	/* "char" unsigned by default */
#define	MB_LEN_MAX	1

#ifdef	T212
#define	SHRT_MIN	-32768
#define	SHRT_MAX	32767
#define	USHRT_MAX	65535U
#define	INT_MIN		-32768
#define	INT_MAX		32767
#define	UINT_MAX	65535U
#define	LONG_MIN	-32768
#define	LONG_MAX	32767
#define	ULONG_MAX	65535U
#else	/* !T212 */
#define	SHRT_MIN	-2147483648
#define	SHRT_MAX	2147483647
#define	USHRT_MAX	4294967295U
#define	INT_MIN		-2147483648
#define	INT_MAX		2147483647
#define	UINT_MAX	4294967295U
#define	LONG_MIN	-2147483648
#define	LONG_MAX	2147483647
#define	ULONG_MAX	4294967295U
#endif	/* T212 */

#endif	/* _LIMITS */
