/*
 *      OSU Research Computing					Trillium
 *	Copyright 1991 The Ohio State University
 *      GDB
 *
 *      $Log:	all_slist.h,v $
 * Revision 2.2  92/04/30  14:44:52  trillium
 * Ohio Release
 * 
 * Revision 2.1  92/01/10  17:36:38  gdburns
 * initial revision
 * 
 *	Function:	- constants and templates associated with all_slist
 */

#ifndef _ALLSLIST
#define _ALLSLIST

#include <all_list.h>

typedef struct al_desc	SLIST;

#define als_top(x) (al_body(x->al_ltop))
#define als_bottom(x) (al_body(x->al_lbottom))
#define als_find al_find
#define als_next al_next
#define als_prev al_prev
#define als_count al_count

/*
 * function declarations
 */
extern SLIST		*als_init();
extern int4		*als_delete();
extern char		*als_append();
extern char		*als_insert();

#endif
