/*
 *	OSU Research Computing					Trillium
 *	Copyright 1992 The Ohio State University
 *	GDB
 *
 *	$Log:	kenya.h,v $
 * Revision 2.2  92/04/30  10:31:18  trillium
 * Ohio Release
 * 
 * Revision 2.1.1.1  92/01/27  17:52:42  gdburns
 * Increase process table size limit.
 * 
 * Revision 2.1  91/03/20  03:02:18  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.1  90/07/13  19:26:55  gdburns
 * Homo sapien
 * 
 * Revision 2.0  90/02/20  11:54:10  trillium
 * Homo erectus
 * 
 * Revision 1.1.1.1  88/07/07  15:20:07  gdburns
 * Added malloc and free macros to avoid malloc runtime system.
 * 
 *	Function:	- constants and structures associated
 *			  with the kenya server
 *			- based on Trollius 2.0 Copyright 1990
 *			  The Ohio State University and Cornell
 *			  Research Foundation
 */

#ifndef _KENYA
#define _KENYA

#include <t.out.h>
#include <preq.h>
#include <net.h>

#define PMAX		59
#define PNULL		(struct pprocess *) 0

#endif
