/*
 *	OSU Research Computing, architects and contractors	Trillium
 *
 *	Copyright 1990 The Ohio State University & Cornell University
 *
 *      VSD
 *
 *	$Log:	TWRITE.c,v $
 * Revision 2.2  92/04/30  11:38:53  trillium
 * Ohio Release
 * 
 * Revision 2.1  91/03/20  13:12:44  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.3  91/03/19  23:32:40  gdburns
 * cosmetic changes
 * 
 * Revision 2.0.1.2  90/07/13  19:33:21  gdburns
 * Homo sapien
 * 
 * Revision 2.0.1.1  90/06/15  20:13:32  dixit-v
 * Changed from function to subroutine.
 * 
 * Revision 2.0  90/02/20  11:58:12  trillium
 * Homo erectus
 * 
 * 
 *	Function:	- tf77 interface to twrite
 *
 */

#include <typical.h>

/*
 * external functions
 */
extern int		rfwrite();

/*
 * external variables
 */
extern int		errno; 		/* global error variable */

void
TWRITE(ufd, buffer, in_bytes, out_bytes, ierror)

int			*ufd;		/* user file desc, value returned */
char			*buffer;	/* output buffer */
int			*in_bytes;	/* number of bytes to be written */
int			*out_bytes;	/* number of bytes actually written */
int			*ierror;	/* error code, value returned */

{
	if ((*out_bytes = rfwrite(*ufd, buffer, *in_bytes)) == ERROR) {
		*ierror = errno;
	} else {
		*ierror = 0;
	}
}
