/*
 *	OSU Research Computing					Trillium
 *	Copyright 1992 The Ohio State University
 *	GDB
 *
 *	$Log:	psend.c,v $
 * Revision 2.2  92/04/30  11:48:35  trillium
 * Ohio Release
 * 
 * Revision 2.1.1.1  92/02/23  21:16:47  gdburns
 * Add #ifdef to c.h.
 * 
 * Revision 2.1  91/03/20  13:11:08  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.1  90/07/13  19:32:37  gdburns
 * Homo sapien
 * 
 * Revision 2.0  90/02/20  11:57:48  trillium
 * Homo erectus
 *
 *	Function:	- physical layer send
 *			- based on Trollius 2.0 Copyright 1990
 *			  The Ohio State University and Cornell
 *			  Research Foundation
 */

#ifdef itb
#include <c.h>
#endif
#include <net.h>

int
psend(nhead)

struct nmsg		*nhead;		/* network message descriptor */

{
	int		l;


	out(nhead->nh_dl_event, (char *) nhead->nh_data, NHDSIZE * sizeof(int));

	if (l = nhead->nh_length) {
		out(nhead->nh_dl_event, nhead->nh_msg, l);
	}

	return(0);
}
