/*
 *      Office of Research Computing
 *
 *      Copyright 1989 The Ohio State University
 *
 *      VSD
 *
 *	$Log:	TREAD.c,v $
 * Revision 2.2  92/04/30  11:52:16  trillium
 * Ohio Release
 * 
 * Revision 2.1  91/03/20  13:34:10  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.3  91/03/19  23:04:22  gdburns
 * cosmetic changes
 * 
 * Revision 2.0.1.2  90/07/13  19:34:22  gdburns
 * Homo sapien
 * 
 * Revision 2.0.1.1  90/06/15  17:07:56  dixit-v
 * Changed from function to subroutine.
 * 
 * Revision 2.0  90/02/20  11:58:40  trillium
 * Homo erectus
 * 
 *
 *	Function : - f77 interface to tread
 *
 *		     Returns : number of bytes read
 */

#include <typical.h>

extern int	tread();
extern int	errno;		/* global error variable */

void
tread_(u_desc, buffer, in_bytes, out_bytes, ierror)

int	*u_desc;	/* user file descriptor		*/
char	*buffer;	/* buffer into which non-chars are to be read */
int	*in_bytes;	/* number of bytes to read */
int	*out_bytes;	/* number of bytes actually read */
int	*ierror;	/* error code */

{

	if ((*out_bytes = tread(*u_desc, buffer, *in_bytes)) == ERROR) {
		*ierror = errno;
	}
	else {
		*ierror = 0;
	}
}
