/*
 *      Office of Research Computing
 *
 *      Copyright 1989 The Ohio State University
 *
 *	VSD
 *
 *	$Log:	KINIT.c,v $
 * Revision 2.2  92/04/30  11:52:51  trillium
 * Ohio Release
 * 
 * Revision 2.1  91/03/20  13:34:25  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.1  90/07/13  19:34:29  gdburns
 * Homo sapien
 * 
 * Revision 2.0  90/02/20  11:58:43  trillium
 * Homo erectus
 * 
 *
 *	Function:	- f77 interface to kinit
 *
 *	Accepts:	- ptr to priority to be used with kattach
 *			- ptr to return code
 *
 */

#include <typical.h>

extern int	kinit();
extern int	errno;

void
kinit_(priority, ierror)

int	*priority,
	*ierror;
{
	if (kinit(*priority) != SUCCESS) {
		*ierror = errno;
	}
	else {
		*ierror = 0;
	}
}

