/*
 *	OSU Research Computing & Cornell Theory Center		Trillium
 *
 *	Copyright 1989 Cornell University
 *
 *	K&R/GDB/MB
 *
 *	$Log:	itoa.c,v $
 * Revision 2.2  92/04/30  11:54:55  trillium
 * Ohio Release
 * 
 * Revision 2.1.1.1  91/06/10  22:19:12  raja
 * Changed the function to return nothing.
 * 
 * Revision 2.1  91/06/04  18:42:21  raja
 * Ohio Release
 * 
 * 
 *
 *	Homegrown itoa().
 */

void
itoa(n, s)
	char	*s;
	int	n;
{
	char		sbuf[16];
	register char	*p;
	register unsigned int u;

	p = sbuf;
	if ( n < 0 ) {
		u = (unsigned)(-n);	/* make n positive */
		*s++ = '-';		/* record sign */
	} else {
		u = (unsigned) n;
	}
	do {				/* generate digits in reverse order */
		*p++ = (u % 10) + '0';
	} while (( u /= 10) > 0);
	while (p > sbuf)		/* copy digits in right order */
		*s++ = *--p;
	*s = '\0';
}
