.TH NETKILL l  "April 15, 1992" "Release 2.2" "TROLLIUS TOPOLOGY TOOLS"
.SH NAME
netkill \- Terminate Trollius and deallocate multicomputer resources.
(Archipel Voltop)
.SH SYNTAX
.B netkill
[-hv][-c <bnail>]
.br
.SH OPTIONS
.TP 14
.B \-c <bnail>
Use <bnail> as the boot schema file.
.TP
.B \-h
Print useful information on this tool.
.TP
.B \-v
Turn on verbose mode.
.SH DESCRIPTION
.PP
.I Netkill
is the topology tool that terminates Trollius and deallocates hardware
resources using the Archipel Voltop software.
The three step procedure begins by invoking tkill(l) to terminate Trollius.
.I Netkill
then ensures that Trollius processes controlling the UNIX device
leading to the ITB nodes have died.
This is accomplished by invoking netwhat(l) with the device name
repetitively until it returns a 0 status.
With the device free,
.I netkill
can deallocate the hardware underlying the former Trollius system
by invoking the Voltop netlogout(*) command, again with the device
name as an argument.
.PP
It is because of the last two steps that
.I netkill
must be a topology layer tool.
The tool reads the boot schema to obtain the name of the device.
With no -d argument, the default boot schema is used.
Since a majority of boot schemata are likely to use the same device
(as the default schema) as the entry to the ITB nodes,
.I netkill
with no -d argument will frequently work correctly.
Boot schemata with other entry points *must* be explicitly
passed to \fInetkill\fR.
.SH EXAMPLES
.TP 4
.I "netkill -v -c bnail.2x4"
Terminate and deallocate the Trollius multicomputer which was
allocated and booted with the boot schema, bnail.2x4.
.SH FILES
.TP 4
/usr/local/trillium/boot/bnail.def
default boot schema file
.SH SEE ALSO
nail(l), netwhat(l), solder(l), spread(l), trollius(l)
.br
"VOLAPS User's Guide" for netlogout(*)
