.TH TFISH l  "April 15, 1992" "Release 2.2" "TROLLIUS TOOLS"
.SH NAME
tfish \- Reset one or more ITB nodes.  (Trollius) (Archipel Voltop)
.SH SYNTAX
.B tfish
[-h][-d <delay>] [<filename>]
.SH OPTIONS
.TP 13
.B \-d <delay>
Wait <delay> seconds after reset.
.TP
.B \-h
Print useful information on this tool.
.SH DESCRIPTION
.PP
.I Tfish
Reset all the ITB nodes controlled from <filename>.
.I Tfish
is an implicit step of the sboot(l) tool that boots Trollius into a
device connected ITB node.
.PP
By default,
.I tfish
with no options will reset the default device, /dev/vxv0.
.PP
.I Tfish
consists of two separate steps.
In the first step, the Voltop command netreset(*) is executed on the
given device.
The user must have a node allocation attached to the given device
for netreset(*) to succeed.
This is accomplished with the solder(l) command.
In the second step, the reset capability of the device driver is invoked.
The device driver is only capable of reseting the interface T800
node, thus the need for the netreset(*) step for multiple nodes.
.SH "SEE ALSO"
sboot(l), solder(l)
.sp
"VOLAPS User's Guide" for netreset(*)
