/*
 *	OSU Research Computing					Trillium
 *	Copyright 1992 The Ohio State University
 *	GDB
 *
 *	$Log:	machine.h,v $
 * Revision 2.2  92/04/30  13:46:16  trillium
 * Ohio Release
 * 
 * Revision 2.1.1.1  92/04/27  10:28:16  gdburns
 * reorganized machine constants
 * 
 * Revision 2.1  91/03/20  11:46:45  gdburns
 * Ohio Release
 * 
 * Revision 2.0  90/10/04  16:53:27  gdburns
 * Meiko VCS
 * 
 *	Function:	- define machine dependent constants
 *			- Meiko version
 */

#ifndef _MACHINE
#define _MACHINE

#define VCSFD		10		/* file descriptor for VCS device */
#define SUPFD		11		/* file descriptor for supervisor bus
					   access (through svcsd) */
/*
 * default devices
 */
#define DEFFDEVICE	"/dev/meiko"

/*
 * default ITB bootstrap executable
 */
#define DEFFSTRAP	"moses.mk"

#endif
