/*
 *	OSU Research Computing					Trillium
 *	Copyright 1992 The Ohio State University
 *	GDB
 *
 *	$Log:	machine.h,v $
 * Revision 2.2  92/04/30  13:56:03  trillium
 * Ohio Release
 * 
 * Revision 2.1.1.3  92/04/27  10:58:06  gdburns
 * reorganized machine constants
 * 
 * Revision 2.1.1.2  92/02/24  20:05:09  gdburns
 * Add vendor solder tool.
 * 
 * Revision 2.1.1.1  92/02/23  22:54:58  gdburns
 * Support new boot subsystem.
 * 
 * Revision 2.1  91/03/20  11:56:43  gdburns
 * Ohio Release
 * 
 * Revision 2.0  90/10/05  20:51:34  gdburns
 * NT1000
 * 
 *	Function:	- define machine dependent constants
 *			- NT1000 version
 */

#ifndef _MACHINE
#define _MACHINE

/*
 * default devices
 */
#define DEFFDEVICE	"/dev/nap0"

/*
 * vendor tools
 */
#define DEFTLCONN	"nt_ctl"

/*
 * default ITB bootstrap executable
 */
#define DEFFSTRAP	"moses.t4"

#endif
