/*
 *	OSU Research Computing					Trillium
 *	Copyright 1992 The Ohio State University
 *	GDB
 *
 *	$Log:	machine.h,v $
 * Revision 2.2  92/04/30  14:02:59  trillium
 * Ohio Release
 * 
 * Revision 2.1.1.1  92/04/27  11:13:17  gdburns
 * reorganized machine constants
 * 
 * Revision 2.1  91/04/24  13:13:54  gdburns
 * vmtm version
 * 
 *	Function:	- define machine dependent constants
 *			- VMTM version
 */

#ifndef _MACHINE
#define _MACHINE

#define ARESET		((int *) 0x000000C0)	/* reset PAL address */

/*
 * default devices
 */
#define DEFFDEVICE	"VMTM B0 L0"

/*
 * vendor tools
 */
#define DEFTLCONN	"ulti"

/*
 * default ITB bootstrap executable
 */
#define DEFFSTRAP	"moses.t4"

#endif
