.TH TWRITE l "January 19, 1992" "Release 2.2" "TROLLIUS REMOTE LIBRARY"
.SH NAME
TWRITE \- Write data to a remote file. (Trollius)
.SH SYNOPSIS
.nf
subroutine TWRITE (udesc, buffer, inbytes, outbytes, ierror)
integer udesc, buffer(*), inbytes, outbytes, ierror
.fi
.SH DESCRIPTION
.PP
.I TWRITE()
attempts to write
.I inbytes 
of data to the file referenced by the descriptor 
.I udesc,
from the array
.I buffer. 
Although 
.I buffer
is declared as an integer array, any numerical array can be used.
Character arrays may not be used.
.I Outbytes
is set to the number of bytes successfully written.
.I Ierror
is set to the error code if an error occurs.  
Otherwise, it is set to 0.
.PP
The file must first be opened with TOPEN(l), which returns the file
descriptor \fIudesc\fR.
.PP
.I TWRITE()
will eventually invoke write(2) on a remote node.
Most of its functionality, semantics and limitations derive from write(2).
.SH ERRORS
.PP
.I TWRITE()
may incur any of the error conditions associated with write(2).
It may also fail due to errors associated with NSEND(l) or NRECV(l).
.SH "SEE ALSO"
TOPEN(l), TREAD(l), write(2)
