.TH DRAIN l  "December 12, 1989" "Release 2.2" "TROLLIUS COMMANDS"
.SH NAME
drain \- Dump memory from a Trollius compute node to a file.
.SH SYNTAX
.B drain
[-hv] <node> <start address> <bytes> [<filename>]
.SH OPTIONS
.TP 8
.B \-h
Print useful information on this command.
.TP
.B \-v
Operate in verbose mode.
.SH DESCRIPTION
.I Drain
is a Trollius command that copies ("dumps") the contents of a
range of memory in a specified compute node to a file on the local host node.
This is usually done to aid in debugging.
The user must specify the
.I node
from which to dump, the
.I start address
in RAM from which to start the dump, and the number of
.I bytes
to dump.
The
.I filename
in which to save the dump may also be specified.
If the file is not specified, the dump is saved in "drain.out".
.PP
Only one node can be specified.  This is written as
.I n<identifier>.
The identifiers are established in the Boot Schema (see nail(l)), and may be
written in decimal or hexadecimal notation.
.SH EXAMPLE
.TP 4
.I "drain n2 0x10000 1000 dumpfile"
Dump 1000 bytes from node 2, starting
at address 0x10000, and place in the file `dumpfile'.
