/*
 *	Cornell Theory Center				Trillium
 *
 *	Copyright 1988 Cornell University
 *
 *	MB/GDB
 *
 *	$Log:	range.h,v $
 * Revision 2.2  92/04/30  14:21:03  trillium
 * Ohio Release
 * 
 * Revision 2.1  91/03/20  11:29:03  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.1  90/07/13  19:31:26  gdburns
 * Homo sapien
 * 
 * Revision 2.0  90/02/20  11:56:58  trillium
 * Homo erectus
 * 
 *
 *	Function:	- constants and templates used by MB's argument
 *			  parsing package
 */


/*
 * list element structure
 */
struct list_el {
	int		ns_index;	/* index in this list */
	int		ns_value;	/* value of list element */
	int		ns_flags;	/* NS_BROADCAST, future stuff */
	struct list_el	*ns_next;	/* ptr to next list element */
};

/*
 * states of the range parser machine
 */
#define NEW		0
#define ONE		1
#define MANY		2

#ifndef NOTNODE
#define NOTNODE		0x80000000
#endif

#ifndef NOTPROCESS
#define NOTPROCESS	0x80000000
#endif
