/*
 *	OSU Research Computing					Trillium
 *	Copyright 1991 The Ohio State University
 *	GDB
 *
 *	$Log:	split.c,v $
 * Revision 2.2  92/04/30  14:21:05  trillium
 * Ohio Release
 * 
 * Revision 2.1  91/10/20  21:31:21  raja
 * initial revision
 * 
 *	Function:	- split a string into blank separate arguments
 */

#include <string.h>

/*
 *	split
 *
 *	Function:	- split a string into blank separate arguments
 *
 *	Accepts:	- string pointer
 *			- argv
 *			- argc pointer
 */
void
split(str, av, ac)

char			*str;
char			***av;
int			*ac;

{
	char		*pblank;		/* pointer to ' ' */

	while (str) {
		while(*str == ' ') ++str;
		pblank = strchr(str, ' ');

		if (pblank) {
			*pblank++ = '\0';
		}

		if (*str) {
			addarg(ac, av, str);
		}

		str = pblank;
	}
}
