/*
 *	OSU Research Computing					Trillium
 *	Copyright 1992 The Ohio State University
 *	GDB
 *
 *	$Log:	y.conf.h,v $
 * Revision 2.2  92/04/30  14:23:36  trillium
 * Ohio Release
 * 
 * Revision 2.1.1.1  92/02/23  22:24:20  gdburns
 * toolkit layer overhaul
 * 
 *	Function:	- token definitions for process schema parser
 */

#ifndef _YCONF
#define _YCONF

#include <portable.h>

/*
 * token value template & declaration
 */
typedef union {
	int4		ival;
	char		*sval;
} YYSTYPE;

extern YYSTYPE		yylval;

/*
 * tokens
 */
#define T_SEMI		257
#define T_LPAREN	258
#define T_RPAREN	259
#define T_LBRACE	260
#define T_RBRACE	261
#define T_DOLLAR	262
#define T_TOPOLOGY	263
#define T_STACK		264
#define T_PRIORITY	265
#define T_DELAY		266
#define T_SHARE		267
#define T_ONCHIP	268
#define T_IDENTIFIER	269
#define T_STRING	270
#define T_NUMBER	271

#endif
