/*
 *	OSU Research Computing					Trillium
 *
 *	Copyright 1990 The Ohio State University
 *
 *	GDB
 *
 *	$Log:	rfatexit.c,v $
 * Revision 2.2  92/04/30  14:41:30  trillium
 * Ohio Release
 * 
 * Revision 2.1  91/02/24  20:57:39  gdburns
 * Ohio Release
 * 
 *
 *	Function:	- close file descriptors
 *			- don't bother with standard I/O
 */

#include <freq.h>

/*
 * external variables
 */
extern int		errno;
extern struct fclient	_ufd[];		/* client file descs */

/*
 * global functions
 */
void			tatexit();
void			rfatexit();

/*
 * external functions
 */
extern int		rfclose();

/*
 * backwards compatible
 */
void tatexit() { rfatexit(); }

void
rfatexit()
{
	int		i;		/* favourite index */

	for (i = 0 ; i < FUMAX ; i++) {

	    if (_ufd[i].fu_tfd > 2) {

		if (_ufd[i].fu_tflags) {
			(void) rfclose(i);
		}
	    }
	}
}
