/*
 *      OSU Research Computing                            	Trillium
 *      Copyright 1992 The Ohio State University
 *      GDB
 *
 *      $Log:	ldlattach.c,v $
 * Revision 2.2  92/04/30  14:51:59  trillium
 * Ohio Release
 * 
 *      Function:	- registers with dld
 *	Accepts:	- dlo service event
 *	Returns:	- 0 or ERROR
 */

#include <net.h>
#include <events.h>
#include <dlreq.h>
#include <shared.h>
#include <typical.h>

int4
ldlattach(event)

int4			event;

{
	struct nmsg	nhead;
	struct dlreq	*req;

	req = (struct dlreq *) nhead.nh_data;
	req->dlq_req = DLQATTACH;
	req->dlq_pid = getpid();
	req->dlq_event = event;

	nhead.nh_node = LOCAL;
	nhead.nh_event = EVDLMOM;
	nhead.nh_type = 0;
	nhead.nh_flags = NOBUF;
	nhead.nh_length = 0;
	nhead.nh_msg = (char *) 0;

	if (nsend(&nhead) < 0) {
		return(ERROR);
	}

	return(0);
}
