/*
 *	Cornell Theory Center				tti
 *
 *	Copyright 1988 Cornell University
 *
 *	GDB
 *
 *	Function:	- constants associated with the ascii character set
 *
 *	$Log:	ascii.h,v $
 * Revision 1.1  88/08/19  15:35:51  gdburns
 * Initial revision
 * 
 */

#ifndef _ASCII

#define _ASCII

#define MAX_DIGIT16	0x66		/* maximum hexadecimal digit */
#define BLANK		0x20
#define TAB		0x09
#define COMMENT		0x23
#define ENDSTR		0x00
#define NEWLINE		0x0a
#define CR		0x0d
#define DQUOTE		0x22
#define DELIMIT		0x2f
#define MAXASCII	0x7f		/* maximum ascii byte */
#define UNPRINTABLE	0x2e		/* symbol for unprintable character */
#define	BASE10		0x0a
#define	BASE16		0x10
#define BASE_DIGIT10	0x30		/* base for ascii decimal digits */
#define BASE_DIGIT16	0x57		/* base for ascii hexadecimal digits */
#define EMPTY		0xf5		/* byte representing "empty" memory */

#endif
