/*
 *	Cornell Theory Center				tti
 *
 *	Copyright 1988 Cornell University
 *
 *	AKP/GDB
 *
 *	Function:	- free space (BSS) definition
 *			- end of code segment definition
 *			- end of data segment definition
 *
 *	$Log:	zzz.ts,v $
Revision 1.1  88/08/19  15:35:51  gdburns
Initial revision

 */


#include "tti.h"


	EXPORT TTIEND
	EXPORT ISEGEND
	EXPORT fss, sss, ssstop

/*
 * This is the end of the code segment.  This module must be linked last.
 */
	CSEG

TTIEND:

/*
 * This is the end of the initialized data segment.
 */
	ISEG

ISEGEND:

/*
 * This is the free space, where new dictionary words will be built.
 */
	USEG

sss:	ds	SSSize
ssstop:
fss:	ds	FSSize

FSSEND:
